/* -------------- FONTS ---------- */

.blinker-thin {
  font-family: "Blinker", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.blinker-extralight {
  font-family: "Blinker", sans-serif;
  font-weight: 200;
  font-style: normal;
}

.blinker-light {
  font-family: "Blinker", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.blinker-regular {
  font-family: "Blinker", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.blinker-semibold {
  font-family: "Blinker", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.blinker-bold {
  font-family: "Blinker", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.blinker-extrabold {
  font-family: "Blinker", sans-serif;
  font-weight: 800;
  font-style: normal;
}

.blinker-black {
  font-family: "Blinker", sans-serif;
  font-weight: 900;
  font-style: normal;
}

/* --------------- */

.bd-placeholder-img {
  font-size: 1.125rem;
  text-anchor: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
@media (min-width: 768px) {
  .bd-placeholder-img-lg {
    font-size: 3.5rem;
  }
}
.b-example-divider {
  width: 100%;
  height: 3rem;
  background-color: #0000001a;
  border: solid rgba(0, 0, 0, 0.15);
  border-width: 1px 0;
  box-shadow:
    inset 0 0.5em 1.5em #0000001a,
    inset 0 0.125em 0.5em #00000026;
}
.b-example-vr {
  flex-shrink: 0;
  width: 1.5rem;
  height: 100vh;
}
.bi {
  vertical-align: -0.125em;
  fill: currentColor;
}
.nav-scroller {
  position: relative;
  z-index: 2;
  height: 2.75rem;
  overflow-y: hidden;
}
.nav-scroller .nav {
  display: flex;
  flex-wrap: nowrap;
  padding-bottom: 1rem;
  margin-top: -1px;
  overflow-x: auto;
  text-align: center;
  white-space: nowrap;
  -webkit-overflow-scrolling: touch;
}
.btn-bd-primary {
  --bd-violet-bg: #712cf9;
  --bd-violet-rgb: 112.520718, 44.062154, 249.437846;
  --bs-btn-font-weight: 600;
  --bs-btn-color: var(--bs-white);
  --bs-btn-bg: var(--bd-violet-bg);
  --bs-btn-border-color: var(--bd-violet-bg);
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: #6528e0;
  --bs-btn-hover-border-color: #6528e0;
  --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
  --bs-btn-active-color: var(--bs-btn-hover-color);
  --bs-btn-active-bg: #5a23c8;
  --bs-btn-active-border-color: #5a23c8;
}
.bd-mode-toggle {
  z-index: 1500;
}
.bd-mode-toggle .bi {
  width: 1em;
  height: 1em;
}
.bd-mode-toggle .dropdown-menu .active .bi {
  display: block !important;
}

body {
  font-family: "Blinker", sans-serif;
}

body {
	/*background: linear-gradient(-45deg, #000088, #222222, #222200);*/
  /*background: url(../img/abstract-bkg-ldx1.svg);*/
  background: linear-gradient(-90deg, #111, #113, #222);
	background-size: 200% 200%;
	animation: gradient 20s ease infinite;
	height: 100vh;
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

.riquadro-viola {
    box-shadow: 0 0 4px #fff,
                0 0 32px #808;
  /*animation: glow 2s ease-in-out infinite alternate;*/
}
.riquadro-verde {
    box-shadow: 0 0 4px #fff,
                0 0 32px #080;
  /*animation: glow 2s ease-in-out infinite alternate;*/
}
.riquadro-rosso {
    box-shadow: 0 0 4px #fff,
                0 0 32px #800;
  /*animation: glow 2s ease-in-out infinite alternate;*/
}
.riquadro-bianco {
    box-shadow: 0 0 4px #fff,
                0 0 32px #888;
  /*animation: glow 2s ease-in-out infinite alternate;*/
}

@keyframes glow {
  from {
    box-shadow: 0 0 1px #fff,
                0 0 16px #e60073;
  }
  
  to {
    box-shadow: 0 0 16px #fff,
                0 0 32px #e60073;
  }
}
